org.eclipse.net4j.util.security

## Interface INegotiator

- All Known Implementing Classes:
    ChallengeNegotiator, ChallengeResponseNegotiator, Negotiator, ResponseNegotiator

      public interface INegotiator

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isInitiator()`
    `void` | `negotiate(INegotiationContext context)`

- - ### Method Detail

    - #### isInitiator

          boolean isInitiator()

      Since:
        2.0

    - #### negotiate

          void negotiate(INegotiationContext context)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html